                        ATARI MACHINE SPECIFIC LIBRARY



NAME
     fnameext - filename manipulations

SYNOPSIS
     #include <fnameext.h>

     char* basename(char* dest,const char*)
     char* directory(char* dest,const char*)
     char* extension(char* dest,const char*)
     char* noextension(char* dest,const char*)

DESCRIPTION
     It is common on Atari computers (and most others), to use the
     "filename extension" to help identify files.  This module provides
     some basic operations on filenames.

FUNCTIONS
     char* basename(char* dest,const char* source)
       Find filename only of string - strips away the directory.
       Returns pointer to basename in source.

     char* directory(char* dest,const char* source)
       Find directory only of string - strips away the filename.
       Returns dest.

     char* extension(char* dest,const char* source)
       Find the extension of a filespec.  If none, returns "".
       Returns pointer to ext in source.

     char* noextension(char* dest,const char* source)
       Remove the extension from a filespec.  If none, returns source.
       Returns dest.

SEE ALSO
     Screen (uses filename extension for file formats)

AUTHOR
     Warwick Allison, 1992.
     warwick@cs.uq.oz.au

COPYING
     This functionality is part of the Atari Machine Specific Library,
     and is Copyright 1992 by Warwick W. Allison.

     The Atari Machine Specific Library is free and protected under the
     GNU Library General Public License.

     You are free to copy and modify these sources, provided you acknowledge
     the origin by retaining this notice, and adhere to the conditions
     described in the GNU LGPL.
