                        ATARI MACHINE SPECIFIC LIBRARY



NAME
     MousePosition - access to the Atari mouse

SYNOPSIS
     #include <MousePosition.h>

     class MousePosition

     MousePosition Mouse

DESCRIPTION
     For some styles of programming, access to the mouse via the AES and
     VDI is inadequate.  This module provides a lower level of control.

VARIABLES
     Mouse is a globally defined MousePosition.

CLASSES
     class MousePosition provides the interface to a mouse.  Since the
     Atari only supports one mouse, only one can be declared.

CLASS MEMBERS
  MousePosition::

     int X()   - Returns current rigthward position of the mouse.
     int Y()   - Returns current downward position of the mouse.

     bool LeftButton()    - TRUE if left button pressed.
     bool RightButton()   - TRUE if right button pressed.

     int MoveTo(int,int)  - Set the mouse (x,y) position.
     int MoveBy(int,int)  - Relative change in mouse (x,y) position.

     void Speed(short x,short y)   - Mouse speed 0=normal 255=slowest.

     void Unbound()           - Unbounded mouse - default.
     void Bound(Rectangle)    - Bound mouse to area.
     void Bound(int MinX=0, int MinY=0, int Width=MAXINT, int Height=MAXINT)
                              - Bound mouse to area.

     void SetLeft(bool)   - Set left button status (rarely useful)
     void SetRight(bool)  - Set right button status (rarely useful)

USAGE
     Simply access the Mouse.*() functions.

     When the mouse is bound, it operates similarly to the way the
     mouse does in the GEM environment.

     When the mouse is unbound, you will probably use the MoveTo and
     MoveBy members.

SEE ALSO
     Joystick

BUGS
     Only one MousePosition may be declared (ie. the Mouse already defined)

AUTHOR
     Warwick Allison, 1992.
     warwick@cs.uq.oz.au

COPYING
     This functionality is part of the Atari Machine Specific Library,
     and is Copyright 1992 by Warwick W. Allison.

     The Atari Machine Specific Library is free and protected under the
     GNU Library General Public License.

     You are free to copy and modify these sources, provided you acknowledge
     the origin by retaining this notice, and adhere to the conditions
     described in the GNU LGPL.
