                        ATARI MACHINE SPECIFIC LIBRARY



NAME
     Sound

SYNOPSIS
     #include <Sound.h>

     void Sound(short Channel, short Pitch, short Volume)
     void SetEnvelope(short WaveForm, short Period)
     void SetNoisePeriod(short P)
     void SoundOff()
     void SetPitch(short Channel, short Pitch)
     void SetVolume(short Channel, short Volume)
     void SetNoisy(short Channel, bool Noisy)
     void SetActive(short Channel, bool Active)
     void SoundControl(short Active, short Noisy)

DESCRIPTION
     There are three ways in which an application may produce sound:
        1) Dosound      - Sound changes every vertical retrace
       	2) Giaccess     - Sound changed by the calls
        3) Sample sound - Sound changes at high frequency

     These methods are basicaaly incompatible with each other.
     This module provides low-level support (2), through a set of
     functions.  A higher level interface is provided by SoundEnvelope,
     which overcomes the limitations of the sound chip's envelope feature.

CONSTANTS
     USE_ENVELOPE
       When used as the volume, the associated channel uses the
       current envelope for volume control.

FUNCTIONS
     In the following, 
         Channel = 0..2
         Pitch   = 0..4095      0=High pitch, 4095=Low pitch
         Volume  = 0..15, 16.   0=Silent, 15=Load, 16=Envelope driven

     void Sound(short Channel, short Pitch, short Volume)
       Play sound at the given Pitch and Volume on the given Channel.

     void SetEnvelope(short WaveForm, short Period)
       Set the envelope shared by all channels with Volume=16.

     void SetNoisePeriod(short P)
       Set the noise randomness shared by all channels with Noisy enabled.

     void SoundOff()
       Turn off all sound.

     void SetPitch(short Channel, short Pitch)
     void SetVolume(short Channel, short Volume)
     void SetNoisy(short Channel, bool Noisy)
     void SetActive(short Channel, bool Active)
       Individual controls.

     void SoundControl(short Active, short Noisy)
       Set the given BITWISE channels active/noisy.

USAGE

SEE ALSO
     SoundEnvelope, SampledSound, Dosound (in osbind.h)

AUTHOR
     Warwick Allison, 1992.
     warwick@cs.uq.oz.au

COPYING
     This functionality is part of the Atari Machine Specific Library,
     and is Copyright 1992 by Warwick W. Allison.

     The Atari Machine Specific Library is free and protected under the
     GNU Library General Public License.

     You are free to copy and modify these sources, provided you acknowledge
     the origin by retaining this notice, and adhere to the conditions
     described in the GNU LGPL.
